Subject: bug#13949: 24.4.1; `fill-paragraph' should not always put the buffer as modified

From: Drew Adams <[email-masked]>
Date: Tue, 22 Mar 2016 11:07:12 -0700 (PDT)

> > Objection for the following reason:
> > - It's a human who types in and deletes a charter.
> > - fill-paragraph is not a human, but a routine.
> 
> I agree.  Executing one command that has the effect of (1) not changing
> the buffer and (2) marking the buffer modified makes no sense to the
> user.  It makes sense from the viewpoint of the code, but not from the
> viewpoint of the user interface.  It is confusing to the user, that's
> not good, so if we could change it, it would be progress, no matter how
> this issue is classified in technical terms.

Yes, _IF_ we can guarantee that there are no differences between
the before and after states, that is, no differences that a user
or Lisp program can discern.

A related question is how to handle certain changes that a user
might be able to detect but that s?he might not want to have
associated with the notion of buffer modification - e.g.,
text-property changes.  Currently, all buffer modifications are
handled the same way in terms of reporting/testing whether modified.